package com.cpop.oam.framework.enums;

/**
 * @author: DB
 * @Date: 2023/07/13/9:30
 * @Description: 定时任务枚举类
 */
public enum QuartzEnums {

    /**
     * 工单超时定时任务
     */
    WORK_ORDER_OVERTIME_TASK("WorkOrderOvertimeTask:", "WorkOrder"),
    /**
     * 工单接收超时定时任务
     */
    WORK_ORDER_ACCEPT_OVERTIME_TASK("WorkOrderAcceptOvertimeTask:", "WorkOrder"),
    /**
     * 工单暂停回复任务
     */
    WORK_ORDER_PAUSE_RECOVER_TASK("WorkOrderPauseRecoverTask:", "WorkOrder");;

    QuartzEnums(String name, String group) {
        this.name = name;
        this.group = group;
    }

    /**
     * 名
     */
    private String name;

    /**
     * 组
     */
    private String group;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

}
